Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/tei.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/tei.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/tei.xsl	(revision 2397)
@@ -1,93 +1,96 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet 
-                xmlns:m="http://www.w3.org/1998/Math/MathML"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:fotex="http://www.tug.org/fotex"
-                xmlns="http://www.w3.org/1999/XSL/Format"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes="tei fotex m"
-                version="2.0">
-  <xsl:import href="../common2/tei.xsl"/>
-  <xsl:import href="tei-param.xsl"/>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>
-    TEI stylesheet making XSL-FO output.
-      </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:m="http://www.w3.org/1998/Math/MathML"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:fotex="http://www.tug.org/fotex"
+	xmlns="http://www.w3.org/1999/XSL/Format"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes="tei fotex m" version="2.0">
+	<xsl:import href="../common2/tei.xsl" />
+	<xsl:import href="tei-param.xsl" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet making XSL-FO output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: tei.xsl 9669 2011-11-07 19:17:54Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" type="string">
-      <desc>
-    Stylesheet constant for the input document.
-  </desc>
-   </doc>
-  <xsl:variable name="top" select="/"/>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" type="string">
-      <desc>
-    Stylesheet constant for table specifications
-  </desc>
-   </doc>
-  <xsl:variable name="tableSpecs">
-      <xsl:choose>
-         <xsl:when test="$readColSpecFile">
-            <xsl:copy-of select="document($readColSpecFile,$top)/Info"/>
-         </xsl:when>
-         <xsl:otherwise>
-            <Info/>
-         </xsl:otherwise>
-      </xsl:choose>
-  </xsl:variable>
-  <xsl:output indent="no" encoding="utf-8"/>
-  <xsl:strip-space elements="tei:cell"/>
-  <xsl:key name="DIVS"
-            match="tei:div|tei:div1|tei:div2|tei:div3|tei:div4|tei:div5"
-            use="'1'"/>
-  <xsl:include href="tei-makecolspec.xsl"/>
-  <xsl:include href="core.xsl"/>
-  <xsl:include href="corpus.xsl"/>
-  <xsl:include href="drama.xsl"/>
-  <xsl:include href="figures.xsl"/>
-  <xsl:include href="header.xsl"/>
-  <xsl:include href="linking.xsl"/>
-  <xsl:include href="namesdates.xsl"/>
-  <xsl:include href="tagdocs.xsl"/>
-  <xsl:include href="textcrit.xsl"/>
-  <xsl:include href="textstructure.xsl"/>
-  <xsl:include href="transcr.xsl"/>
-  <xsl:include href="verse.xsl"/>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: tei.xsl 9669 2011-11-07 19:17:54Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" type="string">
+		<desc>
+			Stylesheet constant for the input document.
+		</desc>
+	</doc>
+	<xsl:variable name="top" select="/" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" type="string">
+		<desc>
+			Stylesheet constant for table specifications
+		</desc>
+	</doc>
+	<xsl:variable name="tableSpecs">
+		<xsl:choose>
+			<xsl:when test="$readColSpecFile">
+				<xsl:copy-of
+					select="document($readColSpecFile,$top)/Info" />
+			</xsl:when>
+			<xsl:otherwise>
+				<Info />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
+	<xsl:output indent="no" encoding="utf-8" />
+	<xsl:strip-space elements="tei:cell" />
+	<xsl:key name="DIVS"
+		match="tei:div|tei:div1|tei:div2|tei:div3|tei:div4|tei:div5" use="'1'" />
+	<xsl:include href="tei-makecolspec.xsl" />
+	<xsl:include href="core.xsl" />
+	<xsl:include href="corpus.xsl" />
+	<xsl:include href="drama.xsl" />
+	<xsl:include href="figures.xsl" />
+	<xsl:include href="header.xsl" />
+	<xsl:include href="linking.xsl" />
+	<xsl:include href="namesdates.xsl" />
+	<xsl:include href="tagdocs.xsl" />
+	<xsl:include href="textcrit.xsl" />
+	<xsl:include href="textstructure.xsl" />
+	<xsl:include href="transcr.xsl" />
+	<xsl:include href="verse.xsl" />
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/drama.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/drama.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/drama.xsl	(revision 2397)
@@ -1,243 +1,268 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet 
-                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-                xmlns="http://www.w3.org/1999/XSL/Format"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes="a rng tei teix"
-                version="2.0">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>
-    TEI stylesheet
-    dealing  with elements from the
-      drama module, making XSL-FO output.
-      </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns="http://www.w3.org/1999/XSL/Format"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes="a rng tei teix" version="2.0">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet
+				dealing with elements from the
+				drama module, making XSL-FO output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: drama.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:actor">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('normal')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:camera">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('normal')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:caption">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('normal')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:castGroup">
-      <xsl:apply-templates/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:castItem">
-      <xsl:call-template name="makeItem"/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>Process elements castItem (when @type is 'list')</desc>
-   </doc>
-  <xsl:template match="tei:castItem[@type='list']">
-      <list-item>
-         <xsl:attribute name="space-before.optimum">
-            <xsl:value-of select="$listItemsep"/>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: drama.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:actor">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('normal')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:camera">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('normal')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:caption">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('normal')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:castGroup">
+		<xsl:apply-templates />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:castItem">
+		<xsl:call-template name="makeItem" />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process elements castItem (when @type is 'list')</desc>
+	</doc>
+	<xsl:template match="tei:castItem[@type='list']">
+		<list-item>
+			<xsl:attribute name="space-before.optimum">
+            <xsl:value-of select="$listItemsep" />
          </xsl:attribute>
-         <list-item-label end-indent="label-end()">
-            <xsl:if test="@xml:id">
-               <xsl:attribute name="id">
-                  <xsl:value-of select="@xml:id"/>
+			<list-item-label end-indent="label-end()">
+				<xsl:if test="@xml:id">
+					<xsl:attribute name="id">
+                  <xsl:value-of select="@xml:id" />
                </xsl:attribute>
-            </xsl:if>
-            <xsl:text>&#10;</xsl:text>
-            <block/>
-         </list-item-label>
-         <list-item-body start-indent="body-start()">
-            <block>
-               <xsl:call-template name="rend">
-                  <xsl:with-param name="defaultvalue" select="string('italic')"/>
-                  <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-               </xsl:call-template>
-               <xsl:text>(</xsl:text>
-               <xsl:apply-templates/>
-               <xsl:text>)</xsl:text>
-            </block>
-         </list-item-body>
-      </list-item>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:castList">
-      <xsl:if test="child::tei:head">
-         <block font-style="italic" text-align="start" space-before.optimum="4pt">
-            <xsl:for-each select="tei:head">
-               <xsl:apply-templates/>
-            </xsl:for-each>
-         </block>
-      </xsl:if>
-      <list-block>
-         <xsl:call-template name="setListIndents"/>
-         <xsl:apply-templates/>
-      </list-block>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:sp">
-      <block text-align="justify" start-indent="1em" text-indent="-1em" space-before="3pt">
-         <xsl:apply-templates/>
-      </block>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>
-    
-         <p xmlns="http://www.w3.org/1999/XSL/Format"> paragraphs inside speeches do very little</p>
-    
-      </desc>
-   </doc>
-  <xsl:template match="tei:sp/tei:p">
-      <inline>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:speaker">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('italic')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-         <xsl:text> </xsl:text>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:stage">
-      <block>
-         <xsl:attribute name="text-indent">1em</xsl:attribute>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('italic')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </block>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:p/tei:stage">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('italic')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:sp/tei:stage">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('italic')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:tech">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('italic')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc/>
-   </doc>
-  <xsl:template match="tei:view">
-      <inline>
-         <xsl:call-template name="rend">
-            <xsl:with-param name="defaultvalue" select="string('italic')"/>
-            <xsl:with-param name="defaultstyle" select="string('font-style')"/>
-         </xsl:call-template>
-         <xsl:apply-templates/>
-      </inline>
-  </xsl:template>
+				</xsl:if>
+				<xsl:text>&#10;</xsl:text>
+				<block />
+			</list-item-label>
+			<list-item-body start-indent="body-start()">
+				<block>
+					<xsl:call-template name="rend">
+						<xsl:with-param name="defaultvalue"
+							select="string('italic')" />
+						<xsl:with-param name="defaultstyle"
+							select="string('font-style')" />
+					</xsl:call-template>
+					<xsl:text>(</xsl:text>
+					<xsl:apply-templates />
+					<xsl:text>)</xsl:text>
+				</block>
+			</list-item-body>
+		</list-item>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:castList">
+		<xsl:if test="child::tei:head">
+			<block font-style="italic" text-align="start"
+				space-before.optimum="4pt">
+				<xsl:for-each select="tei:head">
+					<xsl:apply-templates />
+				</xsl:for-each>
+			</block>
+		</xsl:if>
+		<list-block>
+			<xsl:call-template name="setListIndents" />
+			<xsl:apply-templates />
+		</list-block>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:sp">
+		<block text-align="justify" start-indent="1em"
+			text-indent="-1em" space-before="3pt">
+			<xsl:apply-templates />
+		</block>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+
+			<p xmlns="http://www.w3.org/1999/XSL/Format"> paragraphs inside speeches do very little</p>
+
+		</desc>
+	</doc>
+	<xsl:template match="tei:sp/tei:p">
+		<inline>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:speaker">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('italic')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+			<xsl:text> </xsl:text>
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:stage">
+		<block>
+			<xsl:attribute name="text-indent">1em</xsl:attribute>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('italic')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</block>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:p/tei:stage">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('italic')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:sp/tei:stage">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('italic')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:tech">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('italic')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc />
+	</doc>
+	<xsl:template match="tei:view">
+		<inline>
+			<xsl:call-template name="rend">
+				<xsl:with-param name="defaultvalue"
+					select="string('italic')" />
+				<xsl:with-param name="defaultstyle"
+					select="string('font-style')" />
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</inline>
+	</xsl:template>
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/namesdates.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/namesdates.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/fo2/namesdates.xsl	(revision 2397)
@@ -1,55 +1,58 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet 
-                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-                xmlns="http://www.w3.org/1999/XSL/Format"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes=" a rng tei teix"
-                version="2.0">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>
-    TEI stylesheet
-    dealing  with elements from the
-      namesdates module, making XSL-FO output.
-      </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns="http://www.w3.org/1999/XSL/Format"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes=" a rng tei teix" version="2.0">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet
+				dealing with elements from the
+				namesdates module, making XSL-FO output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: namesdates.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: namesdates.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
 </xsl:stylesheet>
\ No newline at end of file
